jQuery(document).ready(function () {
    (function ($) {
        const $checkoutForm = $('form.checkout');
        let codeIsValid = false;
        let $formElements;
        let $body = $(document.body);
        let orderID = null;

        $body.on('checkout_error', function (e) {
            $('.woocommerce-error li').each(function () {
                var errorText = $(this).text();
                if (errorText.indexOf('wppay_blik_trigger') !== -1) {
                    orderID = parseInt(errorText.replace( /^\D+/g, ''), 10);
                    $(this).remove();
                    $('.woocommerce-error').remove();
                    if ($body.hasClass('woocommerce-checkout') || $body.hasClass('woocommerce-cart')) {
                        $('html, body').stop();
                    }

                    checkCode($('input[name=blik_code]').val());
                }
            });
        });

        function get_ajax_url(action) {
            var url = woocommerce_params.wc_ajax_url;
            return url.replace('%%endpoint%%', action)
        }

        function formDisable() {
            $formElements = $checkoutForm.find('input[type=submit],button,#blik_code_label')
                .prop('disabled', true)
                .hide();
        }

        function formEnable() {
            $formElements
                .prop('disabled', false)
                .show();
        }

        function showMessage(msg) {
            $('#blik_msg_container').html(msg);
        }

        function checkCode(blik_code) {
            var order_email = $checkoutForm.find('#billing_email').val(),
                email_query = '';

            if (blik_code && blik_code !== '') {
                formDisable();
                showMessage('Trwa autoryzacja kodu BLIK');

                if (order_email !== undefined) {
                    email_query = '&order_email=' + order_email;
                }

                $.ajax({
                    type: "POST",
                    url: get_ajax_url('wppay_refresh_blik_order_status'),
                    data: "blik_code=" + blik_code + "&order_id=" + orderID + email_query,
                    dataType: 'json',
                    success: function (msg) {
                        if (msg) {
                            if (msg.type === 'error') {
                                formEnable();
                                showMessage(msg.msg);
                                alert(msg.msg);
                            }
                            if (msg.type === 'pending') {
                                showMessage(msg.msg);
                                setTimeout(function() { checkCode(blik_code) }, 1500);
                            }
                            if (msg.type === 'success') {
                                codeIsValid = true;
                                window.location.href = msg.redirect;
                            }
                        }
                    }
                });
            } else {
                alert('Proszę wprowadzić kod BLIK');
            }
        }
    })(jQuery);
});