<?php

namespace WPDesk\GatewayWPPay\WooCommerceGateway;

use WPDesk\GatewayWPPay\BlueMediaApi\BlueMediaClientFactory;

class AbstractEmbedGateway extends \WC_Payment_Gateway {
	/**
	 * Optional URL to view a transaction.
	 *
	 * @var string
	 */
	public $view_transaction_url = 'https://oplacasie.bm.pl/admin/transaction/%s';

	/**
	 * @var BlueMediaClientFactory
	 */
	protected $client_factory;

	public function hooks(): void {
		add_filter( 'woocommerce_payment_gateways', function ( $methods ) {
			$methods[] = $this;

			return $methods;
		} );
		add_action( 'woocommerce_update_options_payment_gateways_' . $this->id, array(
			$this,
			'process_admin_options'
		) );
	}

	public function init_form_fields(): void {
		$this->form_fields = array(
			'main_settings'           => [
				'title' => __( 'Ustawienia główne', 'woocommerce-gateway-wp-pay' ),
				'type'  => 'title'
			],
			'enabled'                 => array(
				'title'   => __( 'Włącz/Wyłącz', 'woocommerce-gateway-wp-pay' ),
				'type'    => 'checkbox',
				'label'   => __( 'Włącz płatności', 'woocommerce-gateway-wp-pay' ),
				'default' => 'no'
			),
			'title'                   => array(
				'title'       => __( 'Tytuł', 'woocommerce-gateway-wp-pay' ),
				'type'        => 'text',
				'description' => __( 'Nazwa bramki płatności, którą klient widzi przy składaniu zamówienia.',
					'woocommerce-gateway-wp-pay' ),
				'desc_tip'    => false,
			),
			'description'             => array(
				'description' => __( 'Opis bramki płatności, którą klient widzi przy składaniu zamówienia.',
					'woocommerce-gateway-wp-pay' ),
				'default'     => __( 'Płatności online WP Pay. Zapłać przelewem elektronicznym, przelewem tradycyjnym lub kartą płatniczą.',
					'woocommerce-gateway-wp-pay' ),
				'type'        => 'textarea',
			)
		);
	}

}